interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 474725 characters]
        DvztchrWOY/8oXG6gCWc+WOvEuleLDy6pIiZFpT7fyIlkQ/eFhgA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['318384']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:48 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjpyin.2.1505364228322.Z0FBQUFBQlp1Z2tFcWMyYkxKdDNzdEVfU0dpNFRHN2dLUzYwcFl0US05aGRWc0F1YkFrWXBoQ0ZXLXZ3LWZJQURhdW50a2ktbHFDcHFrQjVvcFJDekxxSWREX2tTU3BGMDNWYWxwc2UzT2Z2cktaOEE5ZnllNWhOR1RUVEV6b0VialM3cTdEY1V6N2I;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:48
          GMT; secure', 'session_tracker=uqIrtdNKKlyCvYMvQB.0.1505364228318.Z0FBQUFBQlp1Z2tFNXpVR013NElMV2pPc09VMHFKOFpNeldraThEanU3cXd2M2tXWmlCaFFPR3BaZG5GTk1uMUpRb1IzbUQwcmM4aUMtdkR6UVpaMlE0ZEctUUZ5NVRkOEVGLUNiRmZEMTlsWDRzSFFkdzBENkVnOXFRY1RQRGlRMC1TbnUyek1Sb0s;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:48
          GMT; secure', edgebucket=5vz6x6Xa93b1FSPzX0; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364228.301904,VS0,VE374']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjpyin.2.1505364228322.Z0FBQUFBQlp1Z2tFcWMyYkxKdDNzdEVfU0dpNFRHN2dLUzYwcFl0US05aGRWc0F1YkFrWXBoQ0ZXLXZ3LWZJQURhdW50a2ktbHFDcHFrQjVvcFJDekxxSWREX2tTU3BGMDNWYWxwc2UzT2Z2cktaOEE5ZnllNWhOR1RUVEV6b0VialM3cTdEY1V6N2I;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:48
          GMT; secure', 'session_tracker=uqIrtdNKKlyCvYMvQB.0.1505364228318.Z0FBQUFBQlp1Z2tFNXpVR013NElMV2pPc09VMHFKOFpNeldraThEanU3cXd2M2tXWmlCaFFPR3BaZG5GTk1uMUpRb1IzbUQwcmM4aUMtdkR6UVpaMlE0ZEctUUZ5NVRkOEVGLUNiRmZEMTlsWDRzSFFkdzBENkVnOXFRY1RQRGlRMC1TbnUyek1Sb0s;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:48
          GMT; secure', edgebucket=5vz6x6Xa93b1FSPzX0; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=dUU7vwa9sBCTI9%2FLgBvbsTf2BwLBUlHbaDYUeGXUIKtuf%2BuXBoFhvEeTQAsQjFSvlbOW6wkjJak%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=5vz6x6Xa93b1FSPzX0; loid=00000000000drjpyin.2.1505364228322.Z0FBQUFBQlp1Z2tFcWMyYkxKdDNzdEVfU0dpNFRHN2dLUzYwcFl0US05aGRWc0F1YkFrWXBoQ0ZXLXZ3LWZJQURhdW50a2ktbHFDcHFrQjVvcFJDekxxSWREX2tTU3BGMDNWYWxwc2UzT2Z2cktaOEE5ZnllNWhOR1RUVEV6b0VialM3cTdEY1V6N2I;
          session_tracker=uqIrtdNKKlyCvYMvQB.0.1505364228318.Z0FBQUFBQlp1Z2tFNXpVR013NElMV2pPc09VMHFKOFpNeldraThEanU3cXd2M2tXWmlCaFFPR3BaZG5GTk1uMUpRb1IzbUQwcmM4aUMtdkR6UVpaMlE0ZEctUUZ5NVRkOEVGLUNiRmZEMTlsWDRzSFFkdzBENkVnOXFRY1RQRGlRMC1TbnUyek1Sb0s]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/AskReddit/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 20230 characters]
        GbecJaCPXYqAnptMeCKkmVzoZtIX/j8SPZHTv4YCAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['13597']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:53 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364234.592121,VS0,VE377']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=uqIrtdNKKlyCvYMvQB.0.1505364233609.Z0FBQUFBQlp1Z2tKTG1Hbjd1SnF0ZTM1UWU3OUFNWW9CeWoyQ1RVZzM5aE1LZEl0N1lSamhGMG1DcTZ0c2Rwc0gzVTVPOGZLY1ZKcFd3LVViZzBwNGExa2Z0ekxWZU5HalVhNU5LZ1hBWU80T1FWcGFtdERVeW5ZdzRzeDh0Q3RVOHdMejVxS2ZabzE;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:53
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=H2i7d1XRzjREq7J6PXxTsPYBxwyBNdXBwN5eJifjGgRwy5QiWQY3MRbcautpkBny1vdNtGaGeeg%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
